dpkg-divert(1)

NAZWA
dpkg-divert - nadpisywanie plików z pakietów

SKŁADNIA
dpkg-divert [opcja...] polecenie

OPIS
dpkg-diver jest narzędziem używanym do tworzenia i aktualizowania listy nadpisań plików.

File diversions are a way of forcing dpkg(1) not to install a file into its location, but to a diverted location. Diversions can be used through the Debian package scripts to move a file away when it causes a conflict. System administrators can also use it to override some package's configuration file, or whenever some files (which aren't marked as “conffiles”) need to be preserved by dpkg, when installing a newer version of a package which contains those files.

POLECENIA

[--add] plik
    Dodaje nadpisanie pliku.

--remove plik
    Usuwa nadpisanie pliku.

--list wzorzec-glob
    Wyświetla nadpisania pasujące do wzorca-glob.

--listpackage plik
    Print the name of the package that diverts file (since dpkg 1.15.0). Prints LOCAL if file is locally diverted and nothing if file is not diverted.

--truename plik
    Wyświetla rzeczywistą nazwę nadpisanego pliku.

OPCJE

--admindir katalog
    Set the dpkg data directory to directory (default: /var/lib/dpkg).

--divert nadpisz-do
    nadpisz-do jest lokalizacją, do której zostaną nadpisane wersje pliku dostarczane przez inne pakiety.

--local
    Określa, że zostaną nadpisane wszystkie wersje tego pliku. Oznacza to ,że bez żadnych wyjątków, plik jest nadpisywany, niezależnie od tego, który pakiet jest instalowany. Administrator może tego użyć do zainstalowania lokalnie zmodyfikowanej wersji pliku.

--package pakiet
    pakiet jest nazwą pakietu, którego kopia pliku nie będzie nadpisana, tj. plik będzie nadpisany dla wszystkich pakietów oprócz podanego pakietu.

--quiet
    Tryb cichy, bez rozwlekłych komunikatów.

--rename
    Przenosi plik w jedną lub drugą stronę. dpkg-divert przerwie działanie, jeżeli plik docelowy już istnieje.

--test
    Tryb testowy, tzn. nie wykonuje żadnych akcji, tylko pokazuje, co zostałoby zrobione.

-?, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

ŚRODOWISKO

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

DPKG_MAINTSCRIPT_PACKAGE
    Jeśli jest ustawiona i nie użyto opcji --local i --package, to dpkg-divert użyje jej jako nazwy pakietu.

PLIKI

/var/lib/dpkg/diversions
    File which contains the current list of diversions of the system. It is located in the dpkg administration directory, along with other files important to dpkg, such as status or available.
    Uwaga: przed zastąpieniem pliku nową wersją, dpkg-divert zachowuje starą kopię w pliku z rozszerzeniem "-old".

UWAGI
Podczas dodawania domyślnymi opcjami są --local i --divert oryginalny.distrib. Podczas usuwania --package lub --local i --divert, jeśli zostały podane, to muszą pasować. Za pomocą dpkg-divert nie można nadpisać katalogów. Care should be taken when diverting shared libraries, ldconfig(8) creates a symbolic link based on the DT_SONAME field embedded in the library. Because ldconfig doesn't honour diverts (only dpkg does), the symlink may end up pointing at the diverted library, if a diverted library has the same SONAME as the undiverted one.

PRZYKŁADY
Aby nadpisać wszystkie kopie pliku /usr/bin/przykład do /usr/bin/przykład.bla, tj. spowodować, że wszystkie pakiety dostarczające /usr/bin/przykład zainstalują ten plik jako /usr/bin/przykład.bla i zmienią nazwę pliku, jeśli jest to wymagane:

dpkg-divert --divert /usr/bin/przykład.bla --rename /usr/bin/przykład

Aby usunąć to nadpisanie:

dpkg-divert --rename --remove /usr/bin/przykład

Aby napisać /usr/bin/przykład jako /usr/bin/przykład.bla wszystkim pakietom, próbującym zainstalować ten plik, oprócz pakietu wibble:

dpkg-divert --package wibble --divert /usr/bin/przykład.bla --rename /usr/bin/przykład

Aby usunąć to nadpisanie:

dpkg-divert --package wibble --rename --remove /usr/bin/przykład

ZOBACZ TAKŻE
dpkg(1).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008
Michał Kułach <michal.kulach@gmail.com>, 2012